/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Box2D", "index.html", [
    [ "Overview", "index.html", [
      [ "Prerequisites", "index.html#autotoc_md1", null ],
      [ "Scope", "index.html#autotoc_md2", null ],
      [ "Feedback and Bugs", "index.html#autotoc_md3", null ],
      [ "Core Concepts", "index.html#autotoc_md4", null ],
      [ "Modules", "index.html#autotoc_md16", null ],
      [ "Units", "index.html#autotoc_md17", null ],
      [ "Changing the length units", "index.html#autotoc_md18", null ],
      [ "Factories and Definitions", "index.html#autotoc_md19", null ]
    ] ],
    [ "Hello Box2D", "md_docs_hello.html", [
      [ "Creating a World", "md_docs_hello.html#autotoc_md21", null ],
      [ "Creating a Ground Box", "md_docs_hello.html#autotoc_md22", null ],
      [ "Creating a Dynamic Body", "md_docs_hello.html#autotoc_md23", null ],
      [ "Simulating the World", "md_docs_hello.html#autotoc_md24", null ],
      [ "Cleanup", "md_docs_hello.html#autotoc_md25", null ]
    ] ],
    [ "Testbed", "md_docs_testbed.html", null ],
    [ "Common Module", "md_docs_common.html", [
      [ "Settings", "md_docs_common.html#autotoc_md28", [
        [ "Types", "md_docs_common.html#autotoc_md29", null ],
        [ "Constants", "md_docs_common.html#autotoc_md30", null ],
        [ "Allocation wrappers", "md_docs_common.html#autotoc_md31", null ],
        [ "Version", "md_docs_common.html#autotoc_md32", null ]
      ] ],
      [ "Memory Management", "md_docs_common.html#autotoc_md33", null ],
      [ "Math", "md_docs_common.html#autotoc_md34", null ]
    ] ],
    [ "Collision Module", "md_docs_collision.html", [
      [ "Shapes", "md_docs_collision.html#autotoc_md36", [
        [ "Circle Shapes", "md_docs_collision.html#autotoc_md37", null ],
        [ "Polygon Shapes", "md_docs_collision.html#autotoc_md38", null ],
        [ "Edge Shapes", "md_docs_collision.html#autotoc_md39", null ],
        [ "Chain Shapes", "md_docs_collision.html#autotoc_md40", null ]
      ] ],
      [ "Geometric Queries", "md_docs_collision.html#autotoc_md41", [
        [ "Shape Point Test", "md_docs_collision.html#autotoc_md42", null ],
        [ "Shape Ray Cast", "md_docs_collision.html#autotoc_md43", null ]
      ] ],
      [ "Pairwise Functions", "md_docs_collision.html#autotoc_md44", [
        [ "Overlap", "md_docs_collision.html#autotoc_md45", null ],
        [ "Contact Manifolds", "md_docs_collision.html#autotoc_md46", null ],
        [ "Distance", "md_docs_collision.html#autotoc_md47", null ],
        [ "Time of Impact", "md_docs_collision.html#autotoc_md48", null ]
      ] ],
      [ "Dynamic Tree", "md_docs_collision.html#autotoc_md49", null ],
      [ "Broad-phase", "md_docs_collision.html#autotoc_md50", null ]
    ] ],
    [ "Dynamics Module", "md_docs_dynamics.html", [
      [ "Bodies", "md_docs_dynamics.html#autotoc_md52", [
        [ "Body Definition", "md_docs_dynamics.html#autotoc_md56", null ],
        [ "Body Type", "md_docs_dynamics.html#autotoc_md57", null ],
        [ "Position and Angle", "md_docs_dynamics.html#autotoc_md58", null ],
        [ "Damping", "md_docs_dynamics.html#autotoc_md59", null ],
        [ "Gravity Scale", "md_docs_dynamics.html#autotoc_md60", null ],
        [ "Sleep Parameters", "md_docs_dynamics.html#autotoc_md61", null ],
        [ "Fixed Rotation", "md_docs_dynamics.html#autotoc_md62", null ],
        [ "Bullets", "md_docs_dynamics.html#autotoc_md63", null ],
        [ "Activation", "md_docs_dynamics.html#autotoc_md64", null ],
        [ "User Data", "md_docs_dynamics.html#autotoc_md65", null ],
        [ "Body Factory", "md_docs_dynamics.html#autotoc_md66", null ],
        [ "Using a Body", "md_docs_dynamics.html#autotoc_md67", null ],
        [ "Mass Data", "md_docs_dynamics.html#autotoc_md68", null ],
        [ "State Information", "md_docs_dynamics.html#autotoc_md69", null ],
        [ "Position and Velocity", "md_docs_dynamics.html#autotoc_md70", null ],
        [ "Forces and Impulses", "md_docs_dynamics.html#autotoc_md71", null ],
        [ "Coordinate Transformations", "md_docs_dynamics.html#autotoc_md72", null ],
        [ "Acessing Fixtures, Joints, and Contacts", "md_docs_dynamics.html#autotoc_md73", null ]
      ] ],
      [ "Fixtures", "md_docs_dynamics.html#autotoc_md74", [
        [ "Fixture Creation", "md_docs_dynamics.html#autotoc_md75", null ],
        [ "Density", "md_docs_dynamics.html#autotoc_md76", null ],
        [ "Friction", "md_docs_dynamics.html#autotoc_md77", null ],
        [ "Restitution", "md_docs_dynamics.html#autotoc_md78", null ],
        [ "Filtering", "md_docs_dynamics.html#autotoc_md79", null ],
        [ "Sensors", "md_docs_dynamics.html#autotoc_md80", null ]
      ] ],
      [ "Joints", "md_docs_dynamics.html#autotoc_md81", [
        [ "Joint Definition", "md_docs_dynamics.html#autotoc_md82", null ],
        [ "Joint Factory", "md_docs_dynamics.html#autotoc_md83", null ],
        [ "Using Joints", "md_docs_dynamics.html#autotoc_md84", null ],
        [ "Distance Joint", "md_docs_dynamics.html#autotoc_md85", null ],
        [ "Revolute Joint", "md_docs_dynamics.html#autotoc_md86", null ],
        [ "Prismatic Joint", "md_docs_dynamics.html#autotoc_md87", null ],
        [ "Pulley Joint", "md_docs_dynamics.html#autotoc_md88", null ],
        [ "Gear Joint", "md_docs_dynamics.html#autotoc_md89", null ],
        [ "Mouse Joint", "md_docs_dynamics.html#autotoc_md90", null ],
        [ "Wheel Joint", "md_docs_dynamics.html#autotoc_md91", null ],
        [ "Weld Joint", "md_docs_dynamics.html#autotoc_md92", null ],
        [ "Rope Joint", "md_docs_dynamics.html#autotoc_md93", null ],
        [ "Friction Joint", "md_docs_dynamics.html#autotoc_md94", null ],
        [ "Motor Joint", "md_docs_dynamics.html#autotoc_md95", null ],
        [ "Wheel Joint", "md_docs_dynamics.html#autotoc_md96", null ]
      ] ],
      [ "Contacts", "md_docs_dynamics.html#autotoc_md97", [
        [ "Contact Class", "md_docs_dynamics.html#autotoc_md105", null ],
        [ "Accessing Contacts", "md_docs_dynamics.html#autotoc_md106", null ],
        [ "Contact Listener", "md_docs_dynamics.html#autotoc_md107", [
          [ "shape", "index.html#autotoc_md5", null ],
          [ "rigid body", "index.html#autotoc_md6", null ],
          [ "fixture", "index.html#autotoc_md7", null ],
          [ "constraint", "index.html#autotoc_md8", null ],
          [ "contact constraint", "index.html#autotoc_md9", null ],
          [ "joint", "index.html#autotoc_md10", null ],
          [ "joint limit", "index.html#autotoc_md11", null ],
          [ "joint motor", "index.html#autotoc_md12", null ],
          [ "world", "index.html#autotoc_md13", null ],
          [ "solver", "index.html#autotoc_md14", null ],
          [ "continuous collision", "index.html#autotoc_md15", null ],
          [ "b2_staticBody", "md_docs_dynamics.html#autotoc_md53", null ],
          [ "b2_kinematicBody", "md_docs_dynamics.html#autotoc_md54", null ],
          [ "b2_dynamicBody", "md_docs_dynamics.html#autotoc_md55", [
            [ "contact point", "md_docs_dynamics.html#autotoc_md98", null ],
            [ "contact normal", "md_docs_dynamics.html#autotoc_md99", null ],
            [ "contact separation", "md_docs_dynamics.html#autotoc_md100", null ],
            [ "contact manifold", "md_docs_dynamics.html#autotoc_md101", null ],
            [ "normal impulse", "md_docs_dynamics.html#autotoc_md102", null ],
            [ "tangent impulse", "md_docs_dynamics.html#autotoc_md103", null ],
            [ "contact ids", "md_docs_dynamics.html#autotoc_md104", null ]
          ] ],
          [ "Begin Contact Event", "md_docs_dynamics.html#autotoc_md108", null ],
          [ "End Contact Event", "md_docs_dynamics.html#autotoc_md109", null ],
          [ "Pre-Solve Event", "md_docs_dynamics.html#autotoc_md110", null ],
          [ "Post-Solve Event", "md_docs_dynamics.html#autotoc_md111", null ]
        ] ],
        [ "Contact Filtering", "md_docs_dynamics.html#autotoc_md112", null ]
      ] ],
      [ "World", "md_docs_dynamics.html#autotoc_md113", [
        [ "Creating and Destroying a World", "md_docs_dynamics.html#autotoc_md114", null ],
        [ "Using a World", "md_docs_dynamics.html#autotoc_md115", null ],
        [ "Simulation", "md_docs_dynamics.html#autotoc_md116", null ],
        [ "Exploring the World", "md_docs_dynamics.html#autotoc_md117", null ],
        [ "AABB Queries", "md_docs_dynamics.html#autotoc_md118", null ],
        [ "Ray Casts", "md_docs_dynamics.html#autotoc_md119", null ]
      ] ]
    ] ],
    [ "Loose Ends", "md_docs_loose_ends.html", [
      [ "User Data", "md_docs_loose_ends.html#autotoc_md121", null ],
      [ "Custom User Data", "md_docs_loose_ends.html#autotoc_md122", null ],
      [ "Implicit Destruction", "md_docs_loose_ends.html#autotoc_md123", null ],
      [ "Pixels and Coordinate Systems", "md_docs_loose_ends.html#autotoc_md124", null ],
      [ "Debug Drawing", "md_docs_loose_ends.html#autotoc_md125", null ],
      [ "Limitations", "md_docs_loose_ends.html#autotoc_md126", null ]
    ] ],
    [ "References", "md_docs_references.html", null ],
    [ "FAQ", "md_docs__f_a_q.html", [
      [ "What is Box2D?", "md_docs__f_a_q.html#autotoc_md129", null ],
      [ "What platforms does Box2D support?", "md_docs__f_a_q.html#autotoc_md130", null ],
      [ "Who makes it?", "md_docs__f_a_q.html#autotoc_md131", null ],
      [ "How do I get help?", "md_docs__f_a_q.html#autotoc_md132", null ],
      [ "Documentation", "md_docs__f_a_q.html#autotoc_md133", [
        [ "Why isn't feature foo documented?", "md_docs__f_a_q.html#autotoc_md134", null ]
      ] ],
      [ "Prerequisites", "md_docs__f_a_q.html#autotoc_md135", [
        [ "Programming", "md_docs__f_a_q.html#autotoc_md136", null ],
        [ "Math and Physics", "md_docs__f_a_q.html#autotoc_md137", null ]
      ] ],
      [ "API", "md_docs__f_a_q.html#autotoc_md138", [
        [ "What units does Box2D use?", "md_docs__f_a_q.html#autotoc_md139", null ],
        [ "How do I convert pixels to meters?", "md_docs__f_a_q.html#autotoc_md140", null ],
        [ "Why don't you use this awesome C++ feature?", "md_docs__f_a_q.html#autotoc_md141", null ],
        [ "Can I use Box2D in a DLL?", "md_docs__f_a_q.html#autotoc_md142", null ],
        [ "Is Box2D thread-safe?", "md_docs__f_a_q.html#autotoc_md143", null ]
      ] ],
      [ "Build Issues", "md_docs__f_a_q.html#autotoc_md144", [
        [ "Why doesn't my code compile and/or link?", "md_docs__f_a_q.html#autotoc_md145", null ]
      ] ],
      [ "Rendering", "md_docs__f_a_q.html#autotoc_md146", [
        [ "What are Box2D's rendering capabilities?", "md_docs__f_a_q.html#autotoc_md147", null ],
        [ "But the Testbed draws stuff", "md_docs__f_a_q.html#autotoc_md148", null ],
        [ "How do I draw shapes?", "md_docs__f_a_q.html#autotoc_md149", null ]
      ] ],
      [ "Accuracy", "md_docs__f_a_q.html#autotoc_md150", null ],
      [ "Making Games", "md_docs__f_a_q.html#autotoc_md151", [
        [ "Worms Clones", "md_docs__f_a_q.html#autotoc_md152", null ],
        [ "Tile Based Environment", "md_docs__f_a_q.html#autotoc_md153", null ],
        [ "Asteroid Type Coordinate Systems", "md_docs__f_a_q.html#autotoc_md154", null ]
      ] ],
      [ "Determinism", "md_docs__f_a_q.html#autotoc_md155", [
        [ "Is Box2D deterministic?", "md_docs__f_a_q.html#autotoc_md156", null ],
        [ "But I really want determinism", "md_docs__f_a_q.html#autotoc_md157", null ]
      ] ],
      [ "Why is the restitution/friction mixing inaccurate?", "md_docs__f_a_q.html#autotoc_md158", null ],
      [ "What are the biggest mistakes made by new users?", "md_docs__f_a_q.html#autotoc_md159", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Enumerator", "functions_eval.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"classb2_contact.html#a83b18f0da1cfeb2c9dccc6aabed881d3",
"classb2_gear_joint.html#a3d24a3265e64f36017404a36abcb7889",
"classb2_pulley_joint.html#a34f2cd00c7f61b96aff04e062a411327",
"classb2_world.html#a6976d2c67400df03c0d44174ffcfb7ee",
"md_docs_loose_ends.html#autotoc_md123",
"structb2_ray_cast_input.html#a7254a7062422833b1124fa464ab4caf3"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';